## roaraudio 0.3

=== Makefile ===
include Makefile.conf
include Makefile.inc

COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)

SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)

PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious)

all:
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) all; cd ../..; done;
clean:
	rm -f lib/* || true
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) clean; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) clean; cd ../..; done;
	set -e; cd tests/; $(MAKE) clean; cd ..;

distclean: clean
	rm -f Makefile.conf config.log include/roaraudio/config.h

new: clean all

test: all
	set -e; cd tests; $(MAKE) test; cd ..;

build-pc-files:
	set -e; for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done

prep-install: prep-install-dirs build-pc-files

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_PC)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_LIBS)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_BINS)'
	set -e; cd doc; $(MAKE) prep-install-dirs; cd ..

install: prep-install
	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_VERSION); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MM); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MAJOR); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) install; cd ../..; fi; done

semi-install: prep-install
	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
	sh -c 'set -e; for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_VERSION); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MM); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MAJOR); done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) semi-install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) semi-install; cd ../..; fi; done

=== libroar/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroar$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroar.a
VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
VIO_BRIDGE=vio_bio.o vio_stdio.o
VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o
OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o pinentry.o sshaskpass.o $(VIO) stack.o slp.o nnode.o roardl.o roarx11.o beep.o proto.o env.o keyval.o vs.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroar
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH)
LIBS    = $(LIBROAR_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
libroar.a: ${OBJS}
	${AR} cru libroar.a ${OBJS}
	${RANLIB} libroar.a

=== libroararts/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

#TARGETS=libartsc$(SHARED_SUFFIX) libroarartsc$(SHARED_SUFFIX)
TARGETS=libroarartsc$(SHARED_SUFFIX)
OBJS=libartsc.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

#libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
#	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
libroarartsc$(SHARED_SUFFIX): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== libroardsp/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroardsp$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroardsp.a
OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o
OLDROAR=midi.o
FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o
MIDI=synth.o
CODECS=alaw.o mulaw.o
TRANSCODERS=transcode_mualaw.o transcode_celt.o transcode_speex.o

ALLOBJS=$(OBJS) $(FILTER) $(TRANSCODERS) $(OLDROAR) $(MIDI) $(CODECS)

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroardsp
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH)

LIBS      = $(LIBROARDSP_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): $(ALLOBJS)
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARDSP_V) -o $(SLIB) $(ALLOBJS) $(LIBS)
libroardsp.a: $(ALLOBJS)
	${AR} cru libroardsp.a $(ALLOBJS)
	${RANLIB} libroardsp.a

=== libroaresd/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

LIB_BASENAME=libroaresd
SLIB=$(LIB_BASENAME)$(SHARED_SUFFIX)

TARGETS=$(SLIB) $(LIB_BASENAME).a
OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaresd
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
$(LIB_BASENAME).a: ${OBJS}
	${AR} cru $(LIB_BASENAME).a ${OBJS}
	${RANLIB} $(LIB_BASENAME).a

=== libroarlight/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarlight$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarlight.a
OBJS=libroarlight.o colors.o roardmx.o pwm.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarlight
CFLAGS += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARLIGHT_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARLIGHT_V) -o $(SLIB) ${OBJS} ${LIBS}
libroarlight.a: ${OBJS}
	${AR} cru libroarlight.a ${OBJS}
	${RANLIB} libroarlight.a

=== libroaross/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroaross$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroaross.a
OBJS=libroaross.o

#DEFINES = -DDEBUG
INCLUDE = -I../include -I../include/libroar
CFLAGS += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH) -L../lib
LIBS    = $(LIBROAR) $(LIBROARLIGHT) $(lib_dl)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
libroaross.a: ${OBJS}
	${AR} cru libroaross.a ${OBJS}
	${RANLIB} libroaross.a

=== libroarpulse/Makefile ===
LIB_PREFIX=libroarpulse
LIB_STDAPI=$(LIB_PREFIX)$(SHARED_SUFFIX)
LIB_SIMPLE=$(LIB_PREFIX)-simple$(SHARED_SUFFIX)

TARGETS=$(LIB_STDAPI) $(LIB_SIMPLE) libroarpulseinfo
OBJS_ROAR   = libroarpulse.o
OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o utf8.o x11.o
OBJS_SIMPLE = simple.o
OBJS_STDAPI = $(OBJS_ROAR) $(OBJS_STD)

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(LDPATH) -L../lib/ -L.
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(LIB_STDAPI): ${OBJS_STDAPI}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_V_MAJOR) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}

$(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_V_MAJOR) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse


libroarpulseinfo: libroarpulseinfo.o

=== libroarrsound/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarrsound$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarrsound.a
OBJS=libroarrsound.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarrsound
CFLAGS += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
libroarrsound.a: ${OBJS}
	${AR} cru libroarrsound.a ${OBJS}
	${RANLIB} libroarrsound.a

=== libroarsndio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarsndio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarsndio.a
OBJS=libroarsndio.o para.o stream.o events.o volume.o midi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarsndio
CFLAGS += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
libroarsndio.a: ${OBJS}
	${AR} cru libroarsndio.a ${OBJS}
	${RANLIB} libroarsndio.a

=== libroaryiff/Makefile ===
TARGETS=libroaryiff.so
OBJS=libroaryiff.o connection.o playback.o audiocd.o ctl.o stub.o file.o events.o

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaryiff
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

libroaryiff.so: ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== roarclients/Makefile ===
TARGETS_TESTS=pinentrytest zcattest pgptest pipetest polytest roarfctest
TARGETS_DEVEL=roartypes roarsocktypes roar-config
TARGETS_EXAMPLE=roarcatad roarcat2sock roarcatsendfile roarcatpassfh roarvorbis roarsin
TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
TARGETS_DSP=roarfilt roarvumeter
TARGETS_MISC=roarsockconnect roarphone roarshout
TARGETS_M=roardtmf

TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_TESTS) $(TARGETS_M)
TOOLS=roarify

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
DEFINES    = -DCOMMON_VERSION=\"$(COMMON_VERSION)\" -DPREFIX=\"$(PREFIX)\" -DPREFIX_LIB=\"$(PREFIX_LIB)\" -DPREFIX_INC=\"$(PREFIX_INC)\"
INCLUDE    = -I../include -I./include
CFLAGS    += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS    = -g -L../lib/ $(LDPATH)
LIBS       = $(LIBROAR)
SHOUTLIBS  = $(lib_shout) $(LIBS)
VORBISLIBS = $(lib_vorbisfile) $(lib_vorbis) $(lib_ogg) $(LIBS)

LNL        = $(CC) $(LDFLAGS) -o $@ $+
L          = $(LNL) $(LIBS)

all: ${TARGETS} $(TOOLS)
	cp $(cp_v) ${TARGETS} $(TOOLS) ../lib/
clean:
	rm -f ${TARGETS} ${TOOLS} *.o
new: clean all

roarcat: roarcat.o
	$L
roarcatad: roarcatad.o
	$L
roarcat2sock: roarcat2sock.o
	$L
roarcatsendfile: roarcatsendfile.o
	$L
roarcatplay: roarcatplay.o
	$L
roarcatpassfh: roarcatpassfh.o
	$L
roarcatvio: roarcatvio.o
	$L
roarradio: roarradio.o
	$L
roarctl: roarctl.o
	$L $(LIBROARDSP) $(lib_m)
roarmon: roarmon.o
	$L
roarmonhttp: roarmonhttp.o
	$L
roarinterconnect: roarinterconnect.o
	$L $(lib_esd) $(LIBROAREIO) $(lib_rsound)
roarclientpass: roarclientpass.o
	$L
roarbidir: roarbidir.o
	$L
roarphone: roarphone.o
	${CC} ${LDFLAGS} -o roarphone roarphone.o $(LIBROARDSP) $(LIBROAREIO)
roarfilt: roarfilt.o
	${CC} ${LDFLAGS} -o roarfilt roarfilt.o $(LIBROARDSP)
roarsin: roarsin.o
	${CC} ${LDFLAGS} -o roarsin roarsin.o $(LIBROARDSP)
roarvumeter: roarvumeter.o
	${CC} ${LDFLAGS} -o roarvumeter roarvumeter.o $(LIBROAR) $(LIBROARDSP) $(lib_m)
roardtmf: roardtmf.o
	${CC} ${LDFLAGS} -o roardtmf roardtmf.o $(LIBROAR) $(lib_m)
roarsockconnect: roarsockconnect.o
	$L
roartypes: roartypes.o
	$L
roarsocktypes: roarsocktypes.o
	$L
roar-config: roar-config.o
	$(LNL)
roarvorbis: roarvorbis.o
	${CC} ${LDFLAGS} -o roarvorbis roarvorbis.o $(VORBISLIBS)
roarshout: roarshout.o
	${CC} ${LDFLAGS} -o roarshout roarshout.o $(SHOUTLIBS)
polytest: polytest.o
	${CC} ${LDFLAGS} -o polytest polytest.o $(LIBROARDSP)
roarlight: roarlight.o
	${CC} ${LDFLAGS} -o roarlight roarlight.o $(LIBROARLIGHT)
pinentrytest: pinentrytest.o
	$L
zcattest: zcattest.o
	$L
pgptest: pgptest.o
	$L
pipetest: pipetest.o
	$L
roarfctest: roarfctest.o
	${CC} ${LDFLAGS} -o roarfctest roarfctest.o $(LIBROARDSP)

roarify.sht:
roarify: roarify.sht
	sed 's#%%%PREFIX_COMP_LIBS%%%#$(PREFIX_COMP_LIBS)#g; s#%%%PREFIX_COMP_BINS%%%#$(PREFIX_COMP_BINS)#g; s#%%%PREFIX_LIB%%%#$(PREFIX_LIB)#g; s#%%%VERSION%%%#$(COMMON_VERSION)#g;' < roarify.sht > roarify
	chmod +rx roarify

=== debian/changelog ===
roaraudio (0.3-2) unstable; urgency=high

  [ Philipp Schafft ]
  * Add upstream patch 02-roarify-ldlibrarypath.diff, which fixes the insecure
    handling of $LD_LIBRARY_PATH as mentioned in CVE-2010-3363.
    Closes: #598295
  * Fixed matrix pointer error with 01-libao4-matrix-pointer.diff in libao
    driver of roard.
    Closes: #598451

  [ Patrick Matthäi ]
  * Do not install pulse libraries on hurd-i386, which fixes a FTBFS on this
    architecture.
    Closes: #598449

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Sep 2010 21:03:19 +0200

roaraudio (0.3-1) unstable; urgency=medium

  [ Patrick Matthäi ]
  * Add missing dependencies to the libroar-dev package.

  [ Philipp Schafft ]
  * Added symlink for libsndio.so -> libsndio.so.* in -dev package.
  * Install bash completion script.
  * Enabled ALSA support, recommend OSS.
  * Enabled CELT (0.7.1) support.
  * Re-enable libao driver for roard.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Aug 2010 20:09:20 +0200

roaraudio (0.3~beta7-pr2-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Do not build roaraudio with missing libdnet-dev on hurd and kfreebsd.
  * libroar-compat0 breaks with roaraudio << 0.3~beta7-pr2-1, because of the
    moved roarify file.

  [ Philipp Schafft ]
  * New upstream pre-release.
    - Fixes FTBFS with libdnet on big endian systems.
  * Fixed install of libroarsndio as libsndio.
  * Moved roarify from roaraudio to libroar-compat0 as it is useless without
    it anyway.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jul 2010 18:13:39 +0200

roaraudio (0.3~beta7-pr1-1) unstable; urgency=low

  * Initial release.
    Closes: #587968

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Jul 2010 20:59:27 +0200

=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7), libesd0-dev,
 libfishsound1-dev, libvorbis-dev, libspeex-dev, libshout3-dev,
 libsndfile1-dev, liboggz2-dev, libslp-dev, liby-dev,
 libartsc0-dev, libspeexdsp-dev, libao-dev, libx11-dev,
 libcelt-dev (>= 0.7.1), libcelt-dev (<< 0.8.0~),
 libpulse-dev [!hurd-i386],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.9.0
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar0
Architecture: any
Recommends: roaraudio-server
Suggests: bzip2, gnupg, openssh-client, libmuroar0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Provides: libsndio-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libroar0 (= ${binary:Version}),
 libroar-compat0 (= ${binary:Version}), libslp-dev, libx11-dev,
 libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio-dbg
Section: debug
Architecture: any
Priority: extra
Provides: libroar0-dbg, libsndio0-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, libroar-dev (= ${binary:Version})
Description: RoarAudio sound server for audio mixing (debugging symbols)
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the debugging symbols for RoarAudio.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server, rsound-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: oss-compat [!hurd-i386]
Suggests: roaraudio-extra, libroar-compat0, socat
Description: sound server for audio mixing
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.

Package: roaraudio-extra
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wget
Description: extra utilities for RoarAudio
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 Utilities which are not necessary for running RoarAudio and which need
 extra dependencies are in this package (like roarshout and roarvorbis).

Package: libroar-compat0
Architecture: any
Provides: libsndio0
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Description: drop-in replacements for other sound libraries
 To get programs which use the EsounD (ESD), aRts, OpenBSD sndio, PulseAudio
 or YIFF API running, you can install this package and replace the appropriate
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="$(CXXFLAGS)" ./configure \
	--prefix /usr --without-xmms --without-audacious \
	--without-beta --runtime-detect --no-fishsound --oss-dev /dev/dsp
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -rf $(CURDIR)/debian/tmp
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	mkdir -p debian/tmp/etc/bash_completion.d
	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
	ln -s libroarsndio.so.0.3 debian/tmp/usr/lib/libsndio.so.0.3
	ln -s libsndio.so.0.3 debian/tmp/usr/lib/libsndio.so

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
ifneq ($(DEB_BUILD_ARCH),hurd-i386)
	dh_install -plibroar-compat0 "debian/tmp/usr/lib/libroarpulse*.so.*"
	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
endif
	dh_install -a --list-missing
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a
	dh_link -a
	dh_strip -a --dbg-package=roaraudio-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## roaraudio 0.4~beta3

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	set -e; cd tests; $(MAKE) test; cd ..;
 
 build-pc-files:
-	set -e; for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done
+	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done; fi
 
 prep-install: prep-install-dirs build-pc-files
 
@@ -41,11 +41,9 @@
 
 install: prep-install
 	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
-	cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_VERSION); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MM); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MAJOR); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_VERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
+	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
+	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
+	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
 	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
@@ -54,11 +52,9 @@
 
 semi-install: prep-install
 	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
-	sh -c 'set -e; for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done'
+	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
 	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_VERSION); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MM); done'
-	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_V_MAJOR); done'
+	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
 	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
 	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
 	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'

=== libroar/Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 TARGETS=$(SLIB) libroar.a
 VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
 VIO_BRIDGE=vio_bio.o vio_stdio.o
-VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o
-OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o pinentry.o sshaskpass.o $(VIO) stack.o slp.o nnode.o roardl.o roarx11.o beep.o proto.o env.o keyval.o vs.o
+VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o
+HASHES=hash.o hash_tiger.o
+PASSWORD=passwordapi.o pinentry.o sshaskpass.o
+CRYPTO=crypto.o random.o $(HASHES) crc.o
+OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o
 
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroar

=== libroararts/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 #libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
 #	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
 libroarartsc$(SHARED_SUFFIX): ${OBJS}
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== libroardsp/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SLIB=libroardsp$(SHARED_SUFFIX)
 
 TARGETS=$(SLIB) libroardsp.a
-OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o
+OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o
 OLDROAR=midi.o
 FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o
 MIDI=synth.o

=== libroareio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroareio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroareio.a
DRIVER=driver.o driver_oss.o driver_roar.o esdfw.a
FF=ff_ssdp.o
OBJS=libroareio.o $(DRIVER) $(FF) httpd.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroareio
CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAREIO_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} autodetected.h esdfw.a *.o
new: clean all

esdfw.a:
	if [ "`ls esdfw_*.o`" != '' ]; then ${AR} cru esdfw.a esdfw_*.o; else ${AR} cru esdfw.a; fi
	${RANLIB} esdfw.a

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAREIO_V) -o $(SLIB) $(OBJS) $(LIBS)
libroareio.a: ${OBJS}
	${AR} cru libroareio.a ${OBJS}
	${RANLIB} libroareio.a

driver.c: autodetected.h
autodetected.h:
	echo "/* *** */" > autodetected.h
	[ -f driver_esdfw.h -a -f driver_esdfw.c ] && echo '#define ROAR_HAVE_AD_ESDFW' >> autodetected.h || true
	echo "/* *** */" >> autodetected.h

=== libroaresd/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 new: clean all
 
 $(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
 $(LIB_BASENAME).a: ${OBJS}
 	${AR} cru $(LIB_BASENAME).a ${OBJS}
 	${RANLIB} $(LIB_BASENAME).a

=== libroarmidi/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarmidi$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarmidi.a
OBJS=libroarmidi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarmidi
CFLAGS += -g -Wall $(Wextra) -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARMIDI_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARMIDI_V) -o $(SLIB) ${OBJS} ${LIBS}
libroarmidi.a: ${OBJS}
	${AR} cru libroarmidi.a ${OBJS}
	${RANLIB} libroarmidi.a

=== libroaross/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 new: clean all
 
 $(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
 libroaross.a: ${OBJS}
 	${AR} cru libroaross.a ${OBJS}
 	${RANLIB} libroaross.a

=== libroarpulse/Makefile ===
--- 
+++ 
@@ -24,10 +24,10 @@
 new: clean all
 
 $(LIB_STDAPI): ${OBJS_STDAPI}
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_V_MAJOR) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_SOVERSION) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}
 
 $(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
-	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_V_MAJOR) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse
+	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_SOVERSION) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse
 
 
 libroarpulseinfo: libroarpulseinfo.o

=== libroarrsound/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 new: clean all
 
 $(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
 libroarrsound.a: ${OBJS}
 	${AR} cru libroarrsound.a ${OBJS}
 	${RANLIB} libroarrsound.a

=== libroarsndio/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 new: clean all
 
 $(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_V_MAJOR) -o $(SLIB) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
 libroarsndio.a: ${OBJS}
 	${AR} cru libroarsndio.a ${OBJS}
 	${RANLIB} libroarsndio.a

=== libroaryiff/Makefile ===
--- 
+++ 
@@ -17,4 +17,4 @@
 new: clean all
 
 libroaryiff.so: ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_V_MAJOR) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}
+	${CC} ${LDFLAGS} -Wl,-soname,libroaryiff$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroaryiff$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== debian/changelog ===
roaraudio (0.4~beta3-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Build without aRts support to fix FTBFS.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 07 Feb 2011 14:19:31 +0100

roaraudio (0.4~beta3-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 16:46:21 +0100

roaraudio (0.4~beta3~pr0-1) experimental; urgency=low

  * New upstream release.
    - Fixes FTBFS on some big endian architectures.
      Closes: #610254

 -- Philipp Schafft <lion@lion.leolix.org>  Thu, 20 Jan 2011 23:56:09 +0100

roaraudio (0.4~beta2-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #608140
    - Add patch 01-fix-init-stop.diff, which fixes the parameter order, so that
      roaraudio stops correctly.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Add correct mangling in debian/watch.
  * Remove libroar-dev dependency from the -dbg package.
  * Remove all patches. They have been merged by upstream.
  * Do not double-install some packages, adding --ignore option to dh_install.
  * Remove useless provides with the -dbg package.
  * Add correct alternative depends for the -dbg package.
  * Add some lintian overrides for libroar1 and libroar-compat1.

  [ Philipp Schafft ]
  * Merged package roaraudio-extra into roaraudio.
  * Updated packages to match new soname.
  * Enabled new FLAC codec filter in roard (roaraudio package).
  * Set distribution version string to Debian package version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Jan 2011 20:53:54 +0100

roaraudio (0.3-2ubuntu1) natty; urgency=low

  * Build without aRts support to fix FTBFS (LP: #678326).

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 21 Nov 2010 23:44:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: roaraudio
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7), libesd0-dev,
  libfishsound1-dev, libvorbis-dev, libspeex-dev, libshout3-dev,
  libsndfile1-dev, liboggz2-dev, libslp-dev, liby-dev,
- libartsc0-dev, libspeexdsp-dev, libao-dev, libx11-dev,
+ libspeexdsp-dev, libao-dev, libx11-dev,
  libcelt-dev (>= 0.7.1), libcelt-dev (<< 0.8.0~),
+ libflac-dev,
  libpulse-dev [!hurd-i386],
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
-Package: libroar0
+Package: libroar1
 Architecture: any
 Recommends: roaraudio-server
 Suggests: bzip2, gnupg, openssh-client, libmuroar0
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libroar0
+Replaces: libroar0
 Description: foundation libraries for the RoarAudio sound server and clients
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -48,8 +52,8 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar0 (= ${binary:Version}),
- libroar-compat0 (= ${binary:Version}), libslp-dev, libx11-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libroar1 (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version}), libslp-dev, libx11-dev,
  libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Description: header files and documentation for the RoarAudio libraries
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
@@ -82,8 +86,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Provides: libroar0-dbg, libsndio0-dbg
-Depends: ${shlibs:Depends}, ${misc:Depends}, libroar-dev (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libroar1 (= ${binary:Version}), roaraudio (= ${binary:Version}),
+ libroar-compat1 (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -117,32 +122,22 @@
 Provides: roaraudio-server, rsound-server
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: oss-compat [!hurd-i386]
-Suggests: roaraudio-extra, libroar-compat0, socat
+Suggests: libroar-compat1, socat, wget
+Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
+Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Description: sound server for audio mixing
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
  It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
  supports many common codecs like Ogg Vorbis, Speex or FLAC.
 
-Package: roaraudio-extra
-Section: sound
+Package: libroar-compat1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: wget
-Description: extra utilities for RoarAudio
- RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
- different clients before sending it to its outputs (for example a soundcard).
- It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
- supports many common codecs like Ogg Vorbis, Speex or FLAC.
- .
- Utilities which are not necessary for running RoarAudio and which need
- extra dependencies are in this package (like roarshout and roarvorbis).
-
-Package: libroar-compat0
-Architecture: any
-Provides: libsndio0
+Provides: libsndio1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
+Conflicts: libroar-compat0
+Replaces: libroar-compat0
 Description: drop-in replacements for other sound libraries
  To get programs which use the EsounD (ESD), aRts, OpenBSD sndio, PulseAudio
  or YIFF API running, you can install this package and replace the appropriate

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
+
 ifeq (,$(DEB_BUILD_ARCH))
 	DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 endif
@@ -17,7 +19,9 @@
 	dh_testdir
 	CXXFLAGS="$(CXXFLAGS)" ./configure \
 	--prefix /usr --without-xmms --without-audacious \
-	--without-beta --runtime-detect --no-fishsound --oss-dev /dev/dsp
+	--without-beta --runtime-detect --no-fishsound \
+	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
+	--distribution-version-string "Debian-$(DEB_VERSION)"
 	$(MAKE)
 	touch build-stamp
 
@@ -41,8 +45,8 @@
 	cp dist/debian-like/sndio.h debian/tmp/usr/include/
 	mkdir -p debian/tmp/etc/bash_completion.d
 	cp plugins/bash/roaraudio debian/tmp/etc/bash_completion.d/roaraudio
-	ln -s libroarsndio.so.0.3 debian/tmp/usr/lib/libsndio.so.0.3
-	ln -s libsndio.so.0.3 debian/tmp/usr/lib/libsndio.so
+	ln -s libroarsndio.so.1 debian/tmp/usr/lib/libsndio.so.1
+	ln -s libsndio.so.1 debian/tmp/usr/lib/libsndio.so
 
 binary-indep: build install
 
@@ -51,14 +55,15 @@
 	dh_testroot -a
 	dh_link -a
 ifneq ($(DEB_BUILD_ARCH),hurd-i386)
-	dh_install -plibroar-compat0 "debian/tmp/usr/lib/libroarpulse*.so.*"
-	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
-	dh_install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
+	dh_install --ignore=debian/libroar-compat1.install -plibroar-compat1 "debian/tmp/usr/lib/libroarpulse*.so.*"
+	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse-simple.so"
+	dh_install --ignore=debian/libroar-dev.install -plibroar-dev "debian/tmp/usr/lib/libroarpulse.so"
 endif
 	dh_install -a --list-missing
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_installinit -a
+	dh_lintian -a
 	dh_link -a
 	dh_strip -a --dbg-package=roaraudio-dbg
 	dh_compress -a
